SDL_RenderViewportSet(3)

NAME
SDL_RenderViewportSet - Return whether an explicit rectangle was set as the viewport.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderViewportSet(SDL_Renderer *renderer);

DESCRIPTION
This is useful if you're saving and restoring the viewport and want to know whether you should restore a specific rectangle or NULL.

Each render target has its own viewport. This function checks the viewport for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

RETURN VALUE
Returns true if the viewport was set to a specific rectangle, or false if it was set to NULL (the entire target).

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetRenderViewport(3), SDL_SetRenderViewport(3)